%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Smartcard Terminal Tnterface
Name:		openct
Version:	0.6.20
Release:	6
License:	LGPLv2+
Group:		System/Servers
Url:		http://www.opensc.org
Source0:	http://www.opensc-project.org/files/openct/%{name}-%{version}.tar.gz
Source1:	openct-tmpfiles.conf
Patch0:		initscript-lsb.patch
BuildRequires:	flex
BuildRequires:	udev
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb)
Requires(preun,post):	rpm-helper
Requires(post):	systemd

%description
This is OpenCT, a middleware framework for smart card terminals.

%files
%doc NEWS TODO LGPL-2.1
%doc doc/
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_initrddir}/%{name}
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/openct.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/70-%{name}.rules
%ghost %{_var}/run/%{name}

%preun
%_preun_service openct

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf
%_post_service openct

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for accessing Smartcards
Group:		System/Libraries

%description -n %{libname}
These are the shared libraries for the smartcard terminal middleware
OpenCT.

%files -n %{libname}
%doc TODO
%{_libdir}/*.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Supplementary files for developing %{name} applications
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Header files, static libraries, and documentation for %{name}.

%files -n %{devname}
%doc TODO
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
# fix lib64 std rpaths and other weirdness
sed -i -e 's|/lib /usr/lib\b|/%{_lib} %{_libdir}|' \
       -e 's|^usrsbindir=.*$|usrsbindir="%{_sbindir}"|' \
       -e 's|^usrlibdir=.*$|usrlibdir="%{_libdir}"|' configure 
sed -i -e 's|^\([A-Z]\)|# \1|' etc/reader.conf.in

%build
%configure2_5x \
	--disable-static \
	--enable-pcsc \
	--without-bundle \
	--localstatedir=%{_var}
%make

sed -i -e "s,^DRIVER=,DRIVERS=," etc/openct.udev

%install
%makeinstall_std
#install -d %{buildroot}/%{_sysconfdir}/hotplug/usb
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_var}/run/openct
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/openct.conf %{buildroot}/%{_sysconfdir}

#perl -pi -e "s|#! /bin/sh|#! /bin/sh\n#\n# This shell script takes care of starting and stopping\n# openct server\n#\n# chkconfig: 345 39 50\n# description: Smartcard Terminal Tnterface|" %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script 
install -m755 %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script %{buildroot}/%{_initrddir}/%{name}

install -d -m755 %{buildroot}%{_sysconfdir}/udev/rules.d
perl -pi -e 's!/etc/hotplug/usb/%{name}!%{name}!' etc/openct.udev
install -m 0644 etc/openct.udev %{buildroot}%{_sysconfdir}/udev/rules.d/70-%{name}.rules

#install tmpfiles conf
install -m644 -D %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%check
make -k check


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.6.20-6
- (6da10b9) Properly handle /var/run/openct
- (6da10b9) Spec cleanup


